Introduction
============

This handbook is a guide to ordinal theory. Ordinal theory concerns itself with
satoshis, giving them individual identities and allowing them to be tracked,
transferred, and imbued with meaning.

Satoshis, not bitcoin, are the atomic, native currency of the Bitcoin network.
One bitcoin can be sub-divided into 100,000,000 satoshis, but no further.

Ordinal theory does not require a sidechain or token aside from Bitcoin, and
can be used without any changes to the Bitcoin network. It works right now.

Ordinal theory imbues satoshis with numismatic value, allowing them to be
collected and traded as curios.

Individual satoshis can be inscribed with arbitrary content, creating unique
Bitcoin-native digital artifacts that can be held in Bitcoin wallets and
transferred using Bitcoin transactions. Inscriptions are as durable, immutable,
secure, and decentralized as Bitcoin itself.

Other, more unusual use-cases are possible: off-chain colored-coins, public key
infrastructure with key rotation, a decentralized replacement for the DNS. For
now though, such use-cases are speculative, and exist only in the minds of
fringe ordinal theorists.

For more details on ordinal theory, see the [overview](overview.md).

For more details on inscriptions, see [inscriptions](inscriptions.md).

When you're ready to get your hands dirty, a good place to start is with
[inscriptions](guides/wallet.md), a curious species of digital artifact
enabled by ordinal theory.

Links
-----

- [GitHub](https://github.com/ordinals/ord/)
- [BIP](https://github.com/ordinals/ord/blob/master/bip.mediawiki)
- [Discord](https://discord.gg/ordinals)
- [Open Ordinals Institute Website](https://ordinals.org/)
- [Open Ordinals Institute X](https://x.com/ordinalsorg)
- [Mainnet Block Explorer](https://ordinals.com)
- [Signet Block Explorer](https://signet.ordinals.com)

Videos
------

- [Ordinal Theory Explained: Satoshi Serial Numbers and NFTs on Bitcoin](https://www.youtube.com/watch?v=rSS0O2KQpsI)
- [Ordinals Workshop with Rodarmor](https://www.youtube.com/watch?v=MC_haVa6N3I)
